WAST Time Now
WAST is the abbreviation of West Africa Summer Time. Time zone offset of WAST is UTC+02. West Africa Summer Time is 2 hours ahead from the UTC universal time. WAST current date is 11th Wednesday November 2026. Current time in WAST (WAST).
WAST Time
12:54:05
11 November 2026 Wednesday
WAST is the abbreviation of West Africa Summer Time. As it comes clear from the name, this is the time used during daylight-saving time in western and central Africa, in the cities like Tunis, Luanda, Porto-Novo, Libreville, and others. West Africa Summer Time is exactly the same as CAT, MEST, or EET.
What time is it in West Africa Summer Time now? It is 12:54:05 right now.
West Africa Summer Time Date and Time Now in Various Formats
| Date Time Format | WAST Date Time Now |
|---|---|
| UTC | 2026-11-11T10:54:05Z |
| ISO-8601 | 2026-11-11T12:54:05+0200 |
| RFC 2822 | Wed, 11 Nov 2026 12:54:05 +0200 |
| RFC 850 | Wednesday, 11-Nov-26 12:54:05 WAST |
| RFC 1036 | Wed, 11 Nov 26 12:54:05 +0200 |
| RFC 1123 | Wed, 11 Nov 2026 12:54:05 +0200 |
| RFC 822 | Wed, 11 Nov 26 12:54:05 +0200 |
| RFC 3339 | 2026-11-11T12:54:05+02:00 |
| ATOM | 2026-11-11T12:54:05+02:00 |
| COOKIE | Wednesday, 11-Nov-2026 12:54:05 WAST |
| RSS | Wed, 11 Nov 2026 12:54:05 +0200 |
| W3C | 2026-11-11T12:54:05+02:00 |
| Unix Epoch | 1794394445 |
| YYYY-DD-MM HH:MM:SS | 2026-11-11 12:54:05 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-11-11 12:54:05 PM |
| DD-MM-YYYY HH:MM:SS | 11-11-2026 12:54:05 |
| MM-DD-YYYY HH:MM:SS | 11-11-2026 12:54:05 |